Name: jcommon
Version: 1.0.18
Release: %mkrel 2
Summary: JFree Java utility classes
License: LGPLv2+
Group: Development/Java
Source: http://downloads.sourceforge.net/jfreechart/%{name}-%{version}.tar.gz
Source2: bnd.properties
URL: http://www.jfree.org/jcommon
BuildRequires: ant, java-devel, jpackage-utils
# Required for converting jars to OSGi bundles
BuildRequires:  aqute-bnd
Requires: java, jpackage-utils
BuildArch: noarch

%description
JCommon is a collection of useful classes used by 
JFreeChart, JFreeReport and other projects.

%package javadoc
Summary: Javadoc for %{name}
Group:   Documentation
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.

%package xml
Summary: JFree XML utility classes
Group: Development/Java
Requires: %{name} = %{version}-%{release}
Requires: java, jpackage-utils

%description xml
Optional XML utility classes.

%prep
%setup -q
find . -name "*.jar" -exec rm -f {} \;

%build
pushd ant
ant compile compile-xml javadoc
popd
# Convert to OSGi bundle
java -Djcommon.bundle.version="%{version}" \
     -jar $(build-classpath aqute-bnd) wrap -output %{name}-%{version}.bar -properties %{SOURCE2} %{name}-%{version}.jar

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-%{version}.bar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p %{name}-xml-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-xml.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc licence-LGPL.txt README.txt
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}.jar

%files xml
%{_javadir}/%{name}-xml.jar

%files javadoc
%{_javadocdir}/%{name}




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0.18-2.mga4
+ Revision: 541957
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.0.18-1.mga4
+ Revision: 496625
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.17-4.mga3
+ Revision: 355268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.17-3.mga3
+ Revision: 292004
- Add new fragment

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.17-2.mga3
+ Revision: 291967
- Remove dupplicate %%changelog section

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.17-1.mga3
+ Revision: 291941
- New version

* Tue Aug 09 2011 dmorgan <dmorgan> 1.0.16-5.mga2
+ Revision: 132411
- Fix group

  + gil <gil>
    - added maven2 pom

* Mon May 16 2011 ahmad <ahmad> 1.0.16-4.mga1
+ Revision: 99298
- Fix sub-packages groups (mga#1302)

* Tue May 10 2011 dmorgan <dmorgan> 1.0.16-3.mga1
+ Revision: 97030
- imported package jcommon


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 1.0.16-2
- make javadoc no-arch when building as arch-dependant aot

* Sat Apr 25 2009 Caolan McNamara <caolanm@redhat.com> 1.0.16-1
- latest version

* Mon Mar 09 2009 Caolan McNamara <caolanm@redhat.com> 1.0.15-1
- latest version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 1.0.12-4
- shuffle around

* Thu May 01 2008 Caolan McNamara <caolanm@redhat.com> 1.0.12-3
- fix review problems and add jcommon-xml subpackage

* Wed Apr 30 2008 Caolan McNamara <caolanm@redhat.com> 1.0.12-2
- take loganjerry's fixes

* Mon Feb 25 2008 Caolan McNamara <caolanm@redhat.com> 1.0.12-1
- initial fedora import
